<mat-card>
  <mat-card-header>
    <mat-card-title>
      <h3 appHighlight>{{ product.title | uppercase}}</h3>
    </mat-card-title>
    <mat-card-subtitle>
      <p>{{ product.price | currency }}</p>
    </mat-card-subtitle>
  </mat-card-header>
  <div class="crop-image">
    <img [src]="product.image" alt="" />
  </div>
  <mat-card-content>
    <p>{{ product.description | slice:0:40 }}...</p>
  </mat-card-content>
  <mat-card-actions>
    <button (click)="addCart()" mat-raised-button color="warn">
      Agregar al carrito
    </button>
    <a mat-stroked-button [routerLink]="['/products', product.id]"
      >Ver detalles
    </a>
  </mat-card-actions>
</mat-card>
